Reinstall a cloud instance
POST
/v1/cloud_computing/instances/{instance_id}/reinstallThe reinstall operation can be done by sending a POST request to /v1/cloud_computing/instances/{instance_id}/reinstall with the instance ID in the path parameter and the image ID in the request body.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
instance_id*string
A unique identifier of a cloud instance.
Request Body
application/json
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/cloud_computing/instances/YqaQlenj/reinstall" \ -H "Content-Type: application/json" \ -d '{ "image_id": "ee485932-7dbe-4937-a449-29a9ebbc8195", "user_data": "#!/bin/bash\\ntouch /var/file.created.successfully\\n" }'{ "id": "YqaQlenj", "openstack_uuid": "47bede30-1ea9-4902-940d-696dd3636e64", "status": "REBUILDING", "name": "name1141", "region_id": 1, "region_code": "US99", "flavor_id": "101", "flavor_name": "SSD.1", "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21", "image_name": null, "public_ipv4_address": "43.156.205.134", "private_ipv4_address": null, "local_ipv4_address": "90.28.53.255", "public_ipv6_address": null, "ipv6_enabled": false, "gpn_enabled": false, "created_at": "2026-05-28T07:03:23Z", "updated_at": "2026-05-28T07:03:23Z", "backup_copies": 0, "public_port_blocked": false, "labels": {}}{ "message": "Instance locked", "code": "CONFLICT"}{ "message": "Region in maintenance mode", "code": "CLOUD_REGION_MAINTENANCE"}